com.corticon.rulesemf.canonicalrulemodel.rulesheet

## Interface RuleStatement

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RuleModelElement

      public interface RuleStatement
      extends RuleModelElement

  A representation of the model object 'Rule Statement'.

  The following features are supported:

  - `External ID`
  - `Post`
  - `Alias`
  - `Text`
  - `Rule Name`
  - `Rule Link`
  - `Source Name`
  - `Source Link`
  - `Category`
  - `Comments`
  - `Disabled`
  - `Ruleset`
  - `Rule Model Elements`
  - `Logical Variable`
  See Also:
    `RulesheetPackage.getRuleStatement()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAlias()` Returns the value of the 'Alias' attribute
    `java.lang.String` | `getCategory()` Returns the value of the 'Category' attribute
    `java.lang.String` | `getComments()` Returns the value of the 'Comments' attribute
    `java.lang.String` | `getExternalID()` Returns the value of the 'External ID' attribute
    `LogicalVariable` | `getLogicalVariable()` Returns the value of the 'Logical Variable' reference.
    `MessageSeverity` | `getPost()` Returns the value of the 'Post' attribute.
    `java.lang.String` | `getRuleLink()` Returns the value of the 'Rule Link' attribute
    `org.eclipse.emf.common.util.EList` | `getRuleModelElements()` Returns the value of the 'Rule Model Elements' reference list.
    `java.lang.String` | `getRuleName()` Returns the value of the 'Rule Name' attribute
    `PRuleset` | `getRuleset()` Returns the value of the 'Ruleset' container reference.
    `java.lang.String` | `getSourceLink()` Returns the value of the 'Source Link' attribute
    `java.lang.String` | `getSourceName()` Returns the value of the 'Source Name' attribute
    `org.eclipse.emf.common.util.EList` | `getText()` Returns the value of the 'Text' containment reference list.
    `boolean` | `isDisabled()` Returns the value of the 'Disabled' attribute
    `void` | `setAlias(java.lang.String value)` Sets the value of the '`Alias`' attribute
    `void` | `setCategory(java.lang.String value)` Sets the value of the '`Category`' attribute
    `void` | `setComments(java.lang.String value)` Sets the value of the '`Comments`' attribute
    `void` | `setDisabled(boolean value)` Sets the value of the '`Disabled`' attribute
    `void` | `setExternalID(java.lang.String value)` Sets the value of the '`External ID`' attribute
    `void` | `setLogicalVariable(LogicalVariable value)` Sets the value of the '`Logical Variable`' reference
    `void` | `setPost(MessageSeverity value)` Sets the value of the '`Post`' attribute
    `void` | `setRuleLink(java.lang.String value)` Sets the value of the '`Rule Link`' attribute
    `void` | `setRuleName(java.lang.String value)` Sets the value of the '`Rule Name`' attribute
    `void` | `setRuleset(PRuleset value)` Sets the value of the '`Ruleset`' container reference
    `void` | `setSourceLink(java.lang.String value)` Sets the value of the '`Source Link`' attribute
    `void` | `setSourceName(java.lang.String value)` Sets the value of the '`Source Name`' attribute

    - ### Methods inherited from interface com.corticon.rulesemf.canonicalrulemodel.RuleModelElement

      `getDocumentingRuleStatements`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getText

          org.eclipse.emf.common.util.EList getText()

      Returns the value of the 'Text' containment reference list. The list contents are of type `OpaqueExpression`.

      If the meaning of the 'Text' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Text' containment reference list.
      See Also:
        `RulesheetPackage.getRuleStatement_Text()`

    - #### getExternalID

          java.lang.String getExternalID()

      Returns the value of the 'External ID' attribute.

      If the meaning of the 'External ID' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'External ID' attribute.
      See Also:
        `setExternalID(String)`, `RulesheetPackage.getRuleStatement_ExternalID()`

    - #### setExternalID

          void setExternalID(java.lang.String value)

      Sets the value of the '`External ID`' attribute.
      Parameters:
        `value` - the new value of the 'External ID' attribute.
      See Also:
        `getExternalID()`

    - #### getPost

          MessageSeverity getPost()

      Returns the value of the 'Post' attribute. The literals are from the enumeration `MessageSeverity`.

      If the meaning of the 'Post' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Post' attribute.
      See Also:
        `MessageSeverity`, `setPost(MessageSeverity)`, `RulesheetPackage.getRuleStatement_Post()`

    - #### setPost

          void setPost(MessageSeverity value)

      Sets the value of the '`Post`' attribute.
      Parameters:
        `value` - the new value of the 'Post' attribute.
      See Also:
        `MessageSeverity`, `getPost()`

    - #### getAlias

          java.lang.String getAlias()

      Returns the value of the 'Alias' attribute.

      If the meaning of the 'Alias' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Alias' attribute.
      See Also:
        `setAlias(String)`, `RulesheetPackage.getRuleStatement_Alias()`

    - #### setAlias

          void setAlias(java.lang.String value)

      Sets the value of the '`Alias`' attribute.
      Parameters:
        `value` - the new value of the 'Alias' attribute.
      See Also:
        `getAlias()`

    - #### getRuleName

          java.lang.String getRuleName()

      Returns the value of the 'Rule Name' attribute.

      If the meaning of the 'Rule Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Rule Name' attribute.
      See Also:
        `setRuleName(String)`, `RulesheetPackage.getRuleStatement_RuleName()`

    - #### setRuleName

          void setRuleName(java.lang.String value)

      Sets the value of the '`Rule Name`' attribute.
      Parameters:
        `value` - the new value of the 'Rule Name' attribute.
      See Also:
        `getRuleName()`

    - #### getRuleLink

          java.lang.String getRuleLink()

      Returns the value of the 'Rule Link' attribute.

      If the meaning of the 'Rule Link' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Rule Link' attribute.
      See Also:
        `setRuleLink(String)`, `RulesheetPackage.getRuleStatement_RuleLink()`

    - #### setRuleLink

          void setRuleLink(java.lang.String value)

      Sets the value of the '`Rule Link`' attribute.
      Parameters:
        `value` - the new value of the 'Rule Link' attribute.
      See Also:
        `getRuleLink()`

    - #### getSourceName

          java.lang.String getSourceName()

      Returns the value of the 'Source Name' attribute.

      If the meaning of the 'Source Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Source Name' attribute.
      See Also:
        `setSourceName(String)`, `RulesheetPackage.getRuleStatement_SourceName()`

    - #### setSourceName

          void setSourceName(java.lang.String value)

      Sets the value of the '`Source Name`' attribute.
      Parameters:
        `value` - the new value of the 'Source Name' attribute.
      See Also:
        `getSourceName()`

    - #### getSourceLink

          java.lang.String getSourceLink()

      Returns the value of the 'Source Link' attribute.

      If the meaning of the 'Source Link' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Source Link' attribute.
      See Also:
        `setSourceLink(String)`, `RulesheetPackage.getRuleStatement_SourceLink()`

    - #### setSourceLink

          void setSourceLink(java.lang.String value)

      Sets the value of the '`Source Link`' attribute.
      Parameters:
        `value` - the new value of the 'Source Link' attribute.
      See Also:
        `getSourceLink()`

    - #### getCategory

          java.lang.String getCategory()

      Returns the value of the 'Category' attribute.

      If the meaning of the 'Category' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Category' attribute.
      See Also:
        `setCategory(String)`, `RulesheetPackage.getRuleStatement_Category()`

    - #### setCategory

          void setCategory(java.lang.String value)

      Sets the value of the '`Category`' attribute.
      Parameters:
        `value` - the new value of the 'Category' attribute.
      See Also:
        `getCategory()`

    - #### getComments

          java.lang.String getComments()

      Returns the value of the 'Comments' attribute.

      If the meaning of the 'Comments' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Comments' attribute.
      See Also:
        `setComments(String)`, `RulesheetPackage.getRuleStatement_Comments()`

    - #### setComments

          void setComments(java.lang.String value)

      Sets the value of the '`Comments`' attribute.
      Parameters:
        `value` - the new value of the 'Comments' attribute.
      See Also:
        `getComments()`

    - #### isDisabled

          boolean isDisabled()

      Returns the value of the 'Disabled' attribute.

      If the meaning of the 'Disabled' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Disabled' attribute.
      See Also:
        `setDisabled(boolean)`, `RulesheetPackage.getRuleStatement_Disabled()`

    - #### setDisabled

          void setDisabled(boolean value)

      Sets the value of the '`Disabled`' attribute.
      Parameters:
        `value` - the new value of the 'Disabled' attribute.
      See Also:
        `isDisabled()`

    - #### getRuleset

          PRuleset getRuleset()

      Returns the value of the 'Ruleset' container reference. It is bidirectional and its opposite is '`Rule Statements`'.

      If the meaning of the 'Ruleset' container reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Ruleset' container reference.
      See Also:
        `setRuleset(PRuleset)`, `RulesheetPackage.getRuleStatement_Ruleset()`, `PRuleset.getRuleStatements()`

    - #### setRuleset

          void setRuleset(PRuleset value)

      Sets the value of the '`Ruleset`' container reference.
      Parameters:
        `value` - the new value of the 'Ruleset' container reference.
      See Also:
        `getRuleset()`

    - #### getRuleModelElements

          org.eclipse.emf.common.util.EList getRuleModelElements()

      Returns the value of the 'Rule Model Elements' reference list. The list contents are of type `RuleModelElement`. It is bidirectional and its opposite is '`Documenting Rule Statements`'.

      If the meaning of the 'Rule Model Elements' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Rule Model Elements' reference list.
      See Also:
        `RulesheetPackage.getRuleStatement_RuleModelElements()`, `RuleModelElement.getDocumentingRuleStatements()`

    - #### getLogicalVariable

          LogicalVariable getLogicalVariable()

      Returns the value of the 'Logical Variable' reference. It is bidirectional and its opposite is '`Rule Statements`'.

      If the meaning of the 'Logical Variable' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Logical Variable' reference.
      See Also:
        `setLogicalVariable(LogicalVariable)`, `RulesheetPackage.getRuleStatement_LogicalVariable()`, `LogicalVariable.getRuleStatements()`

    - #### setLogicalVariable

          void setLogicalVariable(LogicalVariable value)

      Sets the value of the '`Logical Variable`' reference.
      Parameters:
        `value` - the new value of the 'Logical Variable' reference.
      See Also:
        `getLogicalVariable()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.